Loading...
Searching...
No Matches
volk_test.cc File Reference
`#include <fmt/core.h>`
`#include <fmt/ranges.h>`
`#include <gtest/gtest.h>`
`#include <volk/volk.h>`
`#include <algorithm>`
`#include <tuple>`

## Functions

template<class T>
::testing::AssertionResult | AreComplexFloatingPointArraysAlmostEqual (const T &expected, const T &actual)
std::vector< std::string > | get_kernel_implementation_name_list (const volk_func_desc_t desc)
bool | is_aligned_implementation_name (const std::string &name)
std::tuple< std::vector< std::string >, std::vector< std::string > > | separate_implementations_by_alignment (const std::vector< std::string > &names)
std::vector< std::string > | get_aligned_kernel_implementation_names (const volk_func_desc_t desc)
std::vector< std::string > | get_unaligned_kernel_implementation_names (const volk_func_desc_t desc)

## Function Documentation

## AreComplexFloatingPointArraysAlmostEqual()

template<class T>

::testing::AssertionResult AreComplexFloatingPointArraysAlmostEqual | ( | const T & | expected,
|  | const T & | actual )

## get_aligned_kernel_implementation_names()

std::vector< std::string > get_aligned_kernel_implementation_names | ( | const volk_func_desc_t | desc | ) |

## get_kernel_implementation_name_list()

std::vector< std::string > get_kernel_implementation_name_list | ( | const volk_func_desc_t | desc | ) |

## get_unaligned_kernel_implementation_names()

std::vector< std::string > get_unaligned_kernel_implementation_names | ( | const volk_func_desc_t | desc | ) |

## is_aligned_implementation_name()

bool is_aligned_implementation_name | ( | const std::string & | name | ) |

## separate_implementations_by_alignment()

std::tuple< std::vector< std::string >, std::vector< std::string > > separate_implementations_by_alignment | ( | const std::vector< std::string > & | names | ) |